# Uses of Interface
org.eclipse.birt.report.model.api.metadata.IStructureDefn

Packages that use IStructureDefn
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.core
Represents the fundamental data structures of the user-defined property and the interface of UI listener.
org.eclipse.birt.report.model.api.elements.structures
Defines the structure types in Model system.
org.eclipse.birt.report.model.api.metadata
Defines the elements, properties, types, structures and slots in the Report Object Model.

## Uses of IStructureDefn in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return IStructureDefn
Modifier and Type
Method
Description
`IStructureDefn`
StructureHandle.`getDefn()`
Returns the definition of the structure.

## Uses of IStructureDefn in org.eclipse.birt.report.model.api.core

Methods in org.eclipse.birt.report.model.api.core that return IStructureDefn
Modifier and Type
Method
Description
`IStructureDefn`
IStructure.`getDefn()`
Returns the structure definition from the meta-data dictionary.
`IStructureDefn`
UserPropertyDefn.`getDefn()`
Gets the definition of the structure which represents the user property definition.
`IStructureDefn`
UserPropertyDefn.`getStructDefn()`

## Uses of IStructureDefn in org.eclipse.birt.report.model.api.elements.structures

Methods in org.eclipse.birt.report.model.api.elements.structures that return IStructureDefn
Modifier and Type
Method
Description
`IStructureDefn`
HighlightRule.`getDefn()`
`IStructureDefn`
MapRule.`getDefn()`

## Uses of IStructureDefn in org.eclipse.birt.report.model.api.metadata

Methods in org.eclipse.birt.report.model.api.metadata that return IStructureDefn
Modifier and Type
Method
Description
`IStructureDefn`
IPropertyDefn.`getStructDefn()`
Returns the structure definition for this value.
`IStructureDefn`
IMetaDataDictionary.`getStructure(String name)`
Finds a structure definition by name.
Methods in org.eclipse.birt.report.model.api.metadata that return types with arguments of type IStructureDefn
Modifier and Type
Method
Description
`List<IStructureDefn>`
IMetaDataDictionary.`getStructures()`
Returns the structure list.